Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.rmi.activation
Class ActivationException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.rmi.activation.ActivationException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  UnknownGroupException, UnknownObjectException

public class ActivationException
extends Exception

General exception used by the activation interfaces.

Since:
  1.2
See Also:
  Serialized Form

Field Summary
`Throwable` | `detail` Nested Exception to hold wrapped remote exceptions.

Constructor Summary
`ActivationException()` Constructs an `ActivationException` with no specified detail message.
`ActivationException(String s)` Constructs an `ActivationException` with detail message, `s`.
`ActivationException(String s, Throwable ex)` Constructs an `ActivationException` with detail message, `s`, and detail exception `ex`.

Method Summary
`String` | `getMessage()` Produces the message, include the message from the nested exception if there is one.
`void` | `printStackTrace()` Prints the composite message to `System.err`.
`void` | `printStackTrace(PrintStream ps)` Prints the composite message and the embedded stack trace to the specified stream `ps`.
`void` | `printStackTrace(PrintWriter pw)` Prints the composite message and the embedded stack trace to the specified print writer `pw`.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### detail

    public Throwable detail

  Nested Exception to hold wrapped remote exceptions.

Constructor Detail

### ActivationException

    public ActivationException()

  Constructs an `ActivationException` with no specified detail message.
  Since:
    1.2

### ActivationException

    public ActivationException(String s)

  Constructs an `ActivationException` with detail message, `s`.
  Parameters:
    `s` - the detail message
  Since:
    1.2

### ActivationException

    public ActivationException(String s,
                               Throwable ex)

  Constructs an `ActivationException` with detail message, `s`, and detail exception `ex`.
  Parameters:
    `s` - detail message
    `ex` - detail exception
  Since:
    1.2

Method Detail

### getMessage

    public String getMessage()

  Produces the message, include the message from the nested exception if there is one.
  Overrides:
    `getMessage` in class `Throwable`
  Returns:
    the message
  Since:
    1.2

### printStackTrace

    public void printStackTrace(PrintStream ps)

  Prints the composite message and the embedded stack trace to the specified stream `ps`.
  Overrides:
    `printStackTrace` in class `Throwable`
  Parameters:
    `ps` - the print stream
  Since:
    1.2

### printStackTrace

    public void printStackTrace()

  Prints the composite message to `System.err`.
  Overrides:
    `printStackTrace` in class `Throwable`
  Since:
    1.2

### printStackTrace

    public void printStackTrace(PrintWriter pw)

  Prints the composite message and the embedded stack trace to the specified print writer `pw`.
  Overrides:
    `printStackTrace` in class `Throwable`
  Parameters:
    `pw` - the print writer
  Since:
    1.2

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2001 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.